Bug 1624479 - Show Repo Label on Enabled repos results [NEEDINFO]
Summary: Show Repo Label on Enabled repos results
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Avi Sharvit
QA Contact: Jameer Pathan
URL:
Whiteboard:
: 1614423 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 18:24 UTC by Roxanne Hoover
Modified: 2019-10-07 17:13 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.9.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1646746 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:37:51 UTC
pcreech: needinfo? (asharvit)


Attachments (Terms of Use)
Proposal for repo labels placement (51.78 KB, image/png)
2018-09-05 11:52 UTC, Tomas Strachota
no flags Details
verification screenshot (30.25 KB, image/png)
2018-11-12 11:35 UTC, Jameer Pathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:03 UTC
Foreman Issue Tracker 24827 None None None 2018-09-05 14:47:50 UTC

Description Roxanne Hoover 2018-08-31 18:24:54 UTC
Description of problem:

Display the repo label on the enabled repos results

Version-Release number of selected component (if applicable):

6.4 Repositories page

How reproducible:

Always

Steps to Reproduce:
1. Ensure a repo is enabled
2. View results

Actual results:

No repo label on the enabled repo entries though they are present in the Available repos column.

Expected results:

Show Repo Label for both Available and Enabled repos.

Additional info:

Hilti

Comment 2 Tomas Strachota 2018-09-05 11:52:34 UTC
Hi Roxanne,
I remember we were talking about this one in a meeting but I forgot the details.

Should the repo set label in enabled repos list be displayed instead of architecture and version? For example "rhel-7-server-rhn-tools-rpms" instead of "x86_64 7.1"? See my attached screenshot that demonstrates this alternative.

Or should it be displayed together with arch and version?

Or did I misunderstood it completely and you're proposing something completely different?

Comment 3 Tomas Strachota 2018-09-05 11:52:55 UTC
Created attachment 1481083 [details]
Proposal for repo labels placement

Comment 4 Avi Sharvit 2018-09-05 14:47:48 UTC
Created redmine issue https://projects.theforeman.org/issues/24827 from this bug

Comment 5 Avi Sharvit 2018-09-05 16:04:31 UTC
Upstream bug assigned to asharvit@redhat.com

Comment 6 pm-sat@redhat.com 2018-09-05 16:09:24 UTC
Upstream bug assigned to asharvit@redhat.com

Comment 7 pm-sat@redhat.com 2018-09-05 16:09:27 UTC
Upstream bug assigned to asharvit@redhat.com

Comment 8 pm-sat@redhat.com 2018-09-05 20:09:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24827 has been resolved.

Comment 9 Tomas Strachota 2018-09-06 07:23:00 UTC
My question was answered in a PR, removing needinfo.

Comment 10 Patrick Creech 2018-09-19 13:46:34 UTC
Avi,

This failed to cherry-pick downstream, can you take a look?

Comment 14 Jameer Pathan 2018-11-12 11:34:42 UTC
verified:

@satellite 6.5.0 snap 3

observation:
Repo Label for both Available and Enabled repos.

Comment 15 Jameer Pathan 2018-11-12 11:35:54 UTC
Created attachment 1504667 [details]
verification screenshot

Comment 17 John Mitsch 2019-01-04 18:52:17 UTC
*** Bug 1614423 has been marked as a duplicate of this bug. ***

Comment 19 errata-xmlrpc 2019-05-14 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.